Bug 1144325 - Can not probe "qemu.kvm.virtio_blk_data_plane_complete_request"
Summary: Can not probe "qemu.kvm.virtio_blk_data_plane_complete_request"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-19 08:52 UTC by langfang
Modified: 2015-03-05 09:55 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:55:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description langfang 2014-09-19 08:52:27 UTC
Description of problem:
Can not probe  "qemu.kvm.virtio_blk_data_plane_complete_request" 

Version-Release number of selected component (if applicable):
Host:
# uname -r
3.10.0-144.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.0-4.el7.x86_64

guest:rhel7

How reproducible:
100%

Steps to Reproduce:
1.Install kernel-debuginfo and systemtap package on host

2.On host:
#vim /usr/share/systemtap/tapset/qemu-kvm.stp
...
probe qemu.kvm.virtio_blk_data_plane_complete_request = process("/usr/libexec/qemu-kvm").mark("virtio_blk_data_plane_complete_request")
{
  s = $arg1;
  head = $arg2;
  ret = $arg3;
}
....

3.Create script on host

# cat virtio_blk_data_plane_complete_request.stp 
probe qemu.kvm.virtio_blk_data_plane_complete_request

{
	 printf("s=%d\n",s);
	  printf("head=%d\n",head);
	   printf("ret=%d\n",ret);

}

4.Execute virtio_blk_data_plane_complete_request.stp
#stap virtio_blk_data_plane_complete_request.stp


Results:
# stap virtio_blk_data_plane_complete_request.stp 
semantic error: while resolving probe point: identifier 'process' at /usr/share/systemtap/tapset/qemu-kvm.stp:408:57
        source: probe qemu.kvm.virtio_blk_data_plane_complete_request = process("/usr/libexec/qemu-kvm").mark("virtio_blk_data_plane_complete_request")
                                                                        ^

semantic error: no match (similar marks: virtio_blk_data_plane_process_request, virtio_blk_data_plane_start, virtio_blk_data_plane_stop, virtio_blk_req_complete, virtio_blk_rw_complete)

semantic error: while resolving probe point: identifier 'qemu' at virtio_blk_data_plane_complete_request.stp:1:7
        source: probe qemu.kvm.virtio_blk_data_plane_complete_request
                      ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]


Actual results:

Should work well

Expected results:


Additional info:

Comment 2 Stefan Hajnoczi 2014-09-22 13:29:45 UTC
Thanks.  That trace event no longer exists in RHEL or upstream.  I will send a patch to drop it upstream and backport it.

Comment 3 Stefan Hajnoczi 2014-10-03 10:54:24 UTC
Patches sent to rhvirt-patches@redhat.com

Comment 12 Miroslav Rezanina 2014-10-24 16:17:52 UTC
Fix included in qemu-kvm-rhev-2.1.2-5.el7

Comment 14 langfang 2014-10-28 06:01:48 UTC
Test on latest version:
Host:
# uname -r
3.10.0-191.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-5.el7.x86_64


Steps 
1.Install kernel-debuginfo and systemtap package on host

2.On host:
#vim /usr/share/systemtap/tapset/qemu-kvm.stp
...

not found the event of "virtio_blk_data_plane_complete_request"


3.Create script on host

# cat virtio_blk_data_plane_complete_request.stp 
probe qemu.kvm.virtio_blk_data_plane_complete_request

{
	 printf("s=%d\n",s);
	  printf("head=%d\n",head);
	   printf("ret=%d\n",ret);

}

4.Execute virtio_blk_data_plane_complete_request.stp
#stap virtio_blk_data_plane_complete_request.stp


After step4:
# stap virtio_blk_data_plane_complete_request.stp 
semantic error: while resolving probe point: identifier 'qemu' at virtio_blk_data_plane_complete_request.stp:1:7
        source: probe qemu.kvm.virtio_blk_data_plane_complete_request
                      ^

semantic error: probe point mismatch (similar: virtio_blk_data_plane_process_request, pvscsi_complete_request, virtio_blk_data_plane_start, virtio_blk_data_plane_stop, virtio_blk_req_complete): identifier 'virtio_blk_data_plane_complete_request' at :1:16
        source: probe qemu.kvm.virtio_blk_data_plane_complete_request
                               ^

Pass 2: analysis failed.  [man error::pass2]


According to above test and comment2, this bug has been fixed.

Comment 17 errata-xmlrpc 2015-03-05 09:55:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.